Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Class SchemaValidatorHandler

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler
          be.ehealth.technicalconnector.handler.SchemaValidatorHandler

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

    public class SchemaValidatorHandler

extends AbstractSOAPHandler

This handler will validate the incoming and outgoing message against the xsd's specified in the constructor.

Field Summary
`static int` | `VERIFY_BOTH` XSD validation on INBOUND and OUTBOUND.
`static int` | `VERIFY_INBOUND` XSD validation on INBOUND.
`static int` | `VERIFY_OUTBOUND` XSD validation on OUTBOUND.

Constructor Summary
`SchemaValidatorHandler(int verifyType, String... schemaFile)` This constructor will creates a validator.

Method Summary
`boolean` | `handleInbound(SOAPMessageContext context)` Method that is called in the inbound flow.
`boolean` | `handleOutbound(SOAPMessageContext context)` Method that is called in the outbound flow.

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler
`close, dumpMessage, getHeaders, handleFault, handleMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERIFY_INBOUND

    public static final int VERIFY_INBOUND

  XSD validation on INBOUND.

  See Also:
    Constant Field Values

### VERIFY_OUTBOUND

    public static final int VERIFY_OUTBOUND

  XSD validation on OUTBOUND.

  See Also:
    Constant Field Values

### VERIFY_BOTH

    public static final int VERIFY_BOTH

  XSD validation on INBOUND and OUTBOUND.

  See Also:
    Constant Field Values

Constructor Detail

### SchemaValidatorHandler

    public SchemaValidatorHandler(int verifyType,
                                  String... schemaFile)

  This constructor will creates a validator.

Method Detail

### handleInbound

    public boolean handleInbound(SOAPMessageContext context)

  Description copied from class: `AbstractSOAPHandler`
  Method that is called in the inbound flow.

  Overrides:
    `handleInbound` in class `AbstractSOAPHandler`

### handleOutbound

    public boolean handleOutbound(SOAPMessageContext context)

  Description copied from class: `AbstractSOAPHandler`
  Method that is called in the outbound flow.

  Overrides:
    `handleOutbound` in class `AbstractSOAPHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.